petsc-3.4.2 2013-07-02

# MatTransColoringApplyDenToSp

Given a symbolic matrix product Csp=A*B^T for which a MatTransposeColoring context has been created and a dense matrix Cden=A*Btdense in which Btdens is obtained from MatTransColoringApplySpToDen(), recover sparse matrix Csp from Cden.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransColoringApplyDenToSp(MatTransposeColoring matcoloring,Mat Cden,Mat Csp)

Collective on MatTransposeColoring

### Input Parameters

| coloring | - coloring context created with MatTransposeColoringCreate()
| Cden | - matrix product of a sparse matrix and a dense matrix Btdense

### Output Parameter

Csp -sparse matrix

### Options Database Keys

| -mat_multtranspose_coloring_view | - Activates basic viewing or coloring
| -mat_multtranspose_coloring_view_draw | - Activates drawing of coloring
| -mat_multtranspose_coloring_view_info | - Activates viewing of coloring info

### See Also

MatTransposeColoringCreate(), MatTransposeColoringDestroy(), MatTransColoringApplySpToDen()

### Keywords

coloring

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages